package com.sooka.system.funeral.ashes_remove.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.system.domain.BaseBusinessEntity;
import lombok.Getter;
import lombok.Setter;

/**
 * 市殡葬-骨灰取走基本信息对象
 *
 * @author lei
 * @date 2022-08-22
 */
@Getter
@Setter
public class TGuijiAshesRemove extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    @Excel(name = "序号")
    private String id;

    /** 插入时间 */
    @Excel(name = "插入时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 标志位 */
    @Excel(name = "标志位")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 业务条码 */
    @Excel(name = "业务条码" )
    private String BNO;

    /** 逝者姓名 */
    @Excel(name = "逝者姓名" )
    private String DNAME;

    /** 性别 */
    @Excel(name = "性别" )
    private String DSEX;

    /** 年龄 */
    @Excel(name = "年龄" )
    private String DAGE;

    /** 民族 */
    @Excel(name = "民族" )
    private String DMZ;

    /** 身份证号 */
    @Excel(name = "身份证号" )
    private String DSFZH;

    /** 户籍住址 */
    @Excel(name = "户籍住址" )
    private String ADDRESS;

    /** 死亡时间 */
    @Excel(name = "死亡时间" )
    private String DTIME;

    /** 寄存格号 */
    @Excel(name = "寄存格号" )
    private String JCGCODE;

    /** 骨灰寄存格 */
    @Excel(name = "骨灰寄存格" )
    private String JCGNAME;

    /** 基本寄存价格 */
    @Excel(name = "基本寄存价格" )
    private String JCPRICE;

    /** 开始日期 */
    @Excel(name = "开始日期" )
    private String STARTTM;

    /** 结束日期 */
    @Excel(name = "结束日期" )
    private String GETQZTM;

    /** 取走人 */
    @Excel(name = "取走人" )
    private String GETMAN;

    /** 取走人身份证 */
    @Excel(name = "取走人身份证" )
    private String GETMANSFZH;

    /** 与逝者关系 */
    @Excel(name = "与逝者关系" )
    private String GETRLP;

    /** 取走人联系电话 */
    @Excel(name = "取走人联系电话" )
    private String GETMANPHONE;

    /** 登记时间（YYYY-MM-DD HH:MM) */
    @Excel(name = "登记时间（YYYY-MM-DD HH:MM)" )
    private String OPERTM;

    /** 登记人 */
    @Excel(name = "登记人" )
    private String OPERID;

    /** 登记单位 */
    @Excel(name = "登记单位" )
    private String OPERDW;

    public String getBno()
    {
        return BNO;
    }

    public String getDname()
    {
        return DNAME;
    }

    public String getDsex()
    {
        return DSEX;
    }

    public String getDage()
    {
        return DAGE;
    }

    public String getDmz()
    {
        return DMZ;
    }

    public String getDsfzh()
    {
        return DSFZH;
    }

    public String getAddress()
    {
        return ADDRESS;
    }

    public String getDtime()
    {
        return DTIME;
    }

    public String getJcgcode()
    {
        return JCGCODE;
    }

    public String getJcgname()
    {
        return JCGNAME;
    }

    public String getJcprice()
    {
        return JCPRICE;
    }

    public String getStarttm()
    {
        return STARTTM;
    }

    public String getGetqztm()
    {
        return GETQZTM;
    }

    public String getGetman()
    {
        return GETMAN;
    }

    public String getGetmansfzh()
    {
        return GETMANSFZH;
    }

    public String getGetrlp()
    {
        return GETRLP;
    }

    public String getGetmanphone()
    {
        return GETMANPHONE;
    }

    public String getOpertm()
    {
        return OPERTM;
    }

    public String getOperid()
    {
        return OPERID;
    }

    public String getOperdw()
    {
        return OPERDW;
    }
}
